%define		pdir	Authen
%define		module	Authen-Smb
Summary:	Perl extension to authenticate against an SMB server
Name:		perl-%module
Version:	0.91
Release:	%mkrel 6
License:	GPL
Url:		http://search.cpan.org/dist/%module/
Group:		Development/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{module}-%{version}.tar.gz
Patch0:		Authen-Smb-0.91-64bit-fixes.patch.bz2
BuildRequires:	perl-devel >= 5.6
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Authen::Smb is a Perl module to authenticate against an SMB server.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1 -b .64bit-fxies

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/%pdir/*
%{perl_vendorarch}/auto/%pdir/*
%{_mandir}/man3/*

%changelog
* Fri Jun 10 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.91-6mdk
- Rebuild, spec cleanup

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.91-5mdk
- Rebuild for new perl

* Tue Apr 13 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.91-4mdk
- Rebuild for new perl

* Sat Oct 25 2003 Stefan van der Eijk <stefan@eijk.nu> 0.91-3mdk
- BuildRequires

* Wed Sep 17 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.91-2mdk
- 64-bit fixes

* Fri Aug 08 2003 Florin <florin@mandrakesoft.com> 0.91-1mdk
- first release
